Skip to main content

SOPR Ratio

sopr-ratio

Chart: SOPR Ratio

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0datestringDate (ISO)
1pricestringPrice
2lth_soprstringLTH SOPR
3sth_soprstringSTH SOPR
4lth_sth_ratiostringLTH/STH ratio
5ratio_1stringratio - 1
6ratio_colorstringratio color
7lth_sopr_1stringLTH SOPR - 1
8sth_sopr_1stringSTH SOPR - 1
9field_7d_ma_ratiostring7d MA ratio
10field_7d_ma_ratio_1string7d MA ratio - 1
11field_30d_ma_ratiostring30d MA ratio
12field_30d_ma_ratio_1string30d MA ratio - 1
13sopr_percentilestringSOPR percentile

Example Request

https://charts.bitbo.io/api/v1/sopr-ratio/?start_date=2025-05-07&end_date=2025-05-09

Example Request with Latest

https://charts.bitbo.io/api/v1/sopr-ratio/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/sopr-ratio/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"2025-05-07",
"97151.39",
"1.7188",
"1.0052",
"1.7100",
"0.7100",
"green",
"0.7188",
"0.0052",
"2.1298",
"1.1298",
"2.1238",
"1.1238",
"54.0000"
],
[
"2025-05-08",
"103043.55",
"1.8512",
"1.0160",
"1.8220",
"0.8220",
"green",
"0.8512",
"0.0160",
"2.1266",
"1.1266",
"2.1214",
"1.1214",
"58.0000"
],
[
"2025-05-09",
"102912.25",
"1.8765",
"1.0124",
"1.8536",
"0.8536",
"green",
"0.8765",
"0.0124",
"2.1250",
"1.1250",
"2.1180",
"1.1180",
"59.0000"
]
]
}